{"openapi":"3.0.2","info":{"title":"511.org Bay Area Transit API","description":" ## **About this Demo** <br/><br/>\n- This is an abbreviated demo that documents a subset of the transit endpoints.<br/><br/>\n- Detailed information re: the full range of parameters, responses, error messages, etc. is not included. The Swagger UI does not allow the use of tables to display content. <br/><br/>\n- This demo was created by me without the assistance of anyone at 511.org.  <br/><br/>\n- This demo uses data from 511 SF Bay, the free regional traveler information program managed by the Metropolitan Transportation Commission (MTC). <br/><br/>\n## **Overview**\nWith 511 SF Bay's open and free data, you can create your own resource for Bay Area traffic, transit, carpool, vanpool, and bicycling information. <br/><br/>\n\n## **How to Authorize, Execute and View an API Response**\n1. To begin, click **Authorize** below to your right. <br/><br/>\n2. Select and copy the **API Key** in the popup.  <br/><br/>\n3. Paste it into the **Value** window and click **Authorize**.  <br/><br/>\n4. Close the popup. <br/><br/>\n5. Scroll down to the Endpoints and choose **Operators** or **Lines**. <br/><br/>\n6. Click **Try it out** on the lower right side of your screen. <br/><br/>\n7. Click **Execute** below to execute the call.  <br/><br/>\n8. Check the **Response** window to see your results.\n<br/><br/>\n## **For Further Information**\nOriginal reference documentation can be found at the [BART website.](https://api.bart.gov/docs/sched/arrive.aspx)<br/><br/>","version":"1.0.0","termsOfService":"https://511.org/about/terms","contact":{"name":"Bennett Charles","url":"https://bennetthub500.github.io/personal/","email":"bennettcharles100@gmail.com"}},"servers":[{"url":"http://api.511.org/transit"}],"paths":{"/Operators":{"get":{"tags":["Operators"],"summary":"List of transit operators","description":"Operators retrieves a list of companies providing transit services. For example: AC Transit, BART, Altamont Corridor Express, etc. <br/><br/> - All parameters are optional. <br/><br/> - By default all operators are listed. Use optional query parameters to filter results. <br/><br/> - **Note**: in the response, operators with ID's 5E, 5F, 5O, and 5S are used internally by the 511 system and have no transit service data associated with them. 5E may be used to provide information during regional emergencies.","operationId":"TransitData","parameters":[{"$ref":"#/components/parameters/format"},{"$ref":"#/components/parameters/accept_language"},{"$ref":"#/components/parameters/Operator_id"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identfier of the operator","example":"5E"},"Name":{"type":"string","description":"Name of operator","example":"511 Emergency"},"ShortName":{"type":"string","nullable":true,"description":"Short name of operator","example":"511 Emergency"},"SiriOperatorRef":{"type":"string","description":"Alternative code that identifies the operator in real-time systems","nullable":true},"TimeZone":{"type":"string","description":"Time zone name","example":"America/Vancouver"},"DefaultLanguage":{"type":"string","description":"Default language","example":"en"},"ContactTelephoneNumber":{"type":"string","description":"Contact telephone number","nullable":true},"WebSite":{"type":"string","description":"Website of operator","nullable":true},"PrimaryMode":{"type":"string","description":"Primary transport mode of operator","example":"other"},"PrivateCode":{"type":"string","description":"Agency/operator code used within the jurisdiction","example":"5E"},"Montiored":{"type":"boolean","description":"Whether agency is real-time enabled or not","example":false},"OtherModes":{"type":"string","description":"List of transport modes other than primary mode"}}}}}},"404":{"description":"Not found response","content":{"text/plain":{"schema":{"title":"Not found","type":"string","example":"Not found"}}}}}}},"/Lines":{"get":{"tags":["Lines"],"summary":"List of routes","description":"Lines retrieves a list of all of the routes of an operator. <br/><br/> - **Required parameter:** `Operator_id`. <br/><br/> - Partial list of values for `Operator_id`: AC - AC Transit; CE - Altamont Corridor Express; AF - Angel Island Tiburon Ferry; BA - BART; CA - Caltrain <br/><br/> - All other query parameters below are optional.","parameters":[{"$ref":"#/components/parameters/format"},{"$ref":"#/components/parameters/accept_language"},{"$ref":"#/components/parameters/Operator_id"},{"$ref":"#/components/parameters/Line_id"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"Id":{"type":"string","description":"Unique identifier of the route","example":"Bus Bridge"},"Name":{"type":"string","description":"Name of the line","example":"SamTrans Bus Bridge"},"TransportMode":{"type":"string","description":"Mode of transport of the line","example":"bus"},"PublicCode":{"type":"string","description":"Public identifier of the line","example":"Bus Bridge"},"SiriLineRef":{"type":"string","description":"Alternative code that uniquely identifies the operator in real-time systems"},"Montiored":{"type":"boolean","description":"Whether or not real-time data is available for the line","example":false},"OperatorRef":{"type":"string","description":"Identifier of the line operator","example":"CT"}}}}}},"404":{"description":"Not found response","content":{"text/plain":{"schema":{"title":"Not found","type":"string","example":"Not found"}}}}}}}},"security":[{"app_id":[]}],"externalDocs":{"description":"API Documentation","url":"https://511.org/sites/default/files/pdfs/511%20SF%20Bay%20Open%20Data%20Specification%20-%20Transit.pdf"},"components":{"parameters":{"format":{"name":"format","in":"query","description":"**Example:** `xml`. For json, leave blank (default).","schema":{"type":"string"}},"accept_language":{"name":"accept_language","in":"query","description":"If multiple languages are to be supported, can be used to request data in specified language.","schema":{"type":"string"}},"Operator_id":{"name":"Operator_id","in":"query","description":"**Example:** `CT`(for Caltrain) Filters based on 2-letter ID of specified transit operator.","schema":{"type":"string"}},"Line_id":{"name":"Line_id","in":"query","description":"**Example:** `bullet` (for the Caltrain line) Retrieves all data for a specified transit line, by 2-letter ID.","schema":{"type":"string"}}},"securitySchemes":{"app_id":{"type":"apiKey","description":"API key to authorize requests. If you don't have an 511.org API key, use `2954610a-39e4-467a-af3d-fc05f558a31b`.","name":"api_key","in":"query"}}}}